> For the complete documentation index, see [llms.txt](https://api.veratad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.veratad.com/id-document-verification/overview/iframe/user-status.md).

# User Status

## &#x20;Retrieve User Status

<mark style="color:green;">`POST`</mark> `https://dcams.app/v3/stable/user/status`

This endpoint allows you to get the status of the user.&#x20;

#### Request Body

| Name  | Type   | Description              |
| ----- | ------ | ------------------------ |
| user  | string | Veratad API Username     |
| pass  | string | Veratad API Password     |
| email | string | The user's email address |

{% tabs %}
{% tab title="200 User found" %}

```javascript
{
    "fn": "TIM",
    "ln": "SMITH",
    "addr": "123 MAIN ST",
    "city": "STRATFORD",
    "state": "CT",
    "zip": "06614",
    "dob": "19870203",
    "email": "test15847@veratad.com",
    "reference": "12344",
    "status": "PENDING",
    "additionalData": {
        "value_1": "rangers",
        "value_2": "test2"
    },
    "dcams_plus": {
        "document_data": {
            "FirstName": "STEVE",
            "LastName": "JONES",
            "MiddleName": "JIM",
            "Address": "123 MAIN ST",
            "City": "STRATFORD",
            "State": "CT",
            "Zip": "06614",
            "DateOfBirth": "19630203",
            "Height": "5-03",
            "Sex": "M",
            "EyeColor": "BRO",
            "DocumentNumber": "D485995948833",
            "IssueDate": "20190812",
            "ExpirationDate": "20230203"
        },
        "confirmation": 93239228,
        "action": "PENDING",
        "detail": "MORE INFORMATION IS REQUIRED",
        "issues": [
            "LAST NAME DOES NOT MATCH DOCUMENT",
            "DOB DOES NOT MATCH DOCUMENT",
            "FIRST NAME DOES NOT MATCH DOCUMENT"
        ]
    },
    "documents": null,
    "found": true
}
```

{% endtab %}

{% tab title="400 Missing a required input" %}

```
{
    "result": "Error",
    "message": "Missing a required input"
}
```

{% endtab %}

{% tab title="401 Bad login" %}

```
{
    "result": "Error",
    "message": "Either your username or password is incorrect",
}
```

{% endtab %}

{% tab title="404 User not found" %}

```javascript
{
    "fn": null,
    "ln": null,
    "addr": null,
    "city": null,
    "state": null,
    "zip": null,
    "dob": null,
    "email": null,
    "reference": null,
    "status": null,
    "additionalData": false,
    "dcams_plus": {
        "document_data": false,
        "confirmation": 0,
        "action": null,
        "detail": null,
        "issues": false
    },
    "documents": null,
    "found": false
}
```

{% endtab %}
{% endtabs %}

#### Request Body

```javascript
{
	"user": "USERNAME",
	"pass": "PASSWORD", 
	"email": "test15847@veratad.com"
}
```

{% hint style="info" %}
**NOTE:** After 2 hours certain elements will be purged. This includes:&#x20;

* fn&#x20;
* ln&#x20;
* addr
* city
* state
* zio
* dob
* dcams\_plus.document\_data

This does not apply if you have storage active.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.veratad.com/id-document-verification/overview/iframe/user-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
